<bugID>324157<Summary>POSTDATA dialog is modal</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050920 Firefox/1.0.7
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050920 Firefox/1.0.7

The POSTDATA dialog is modal.  This is a problem for form responses that reload, producing two distinct bad behaviours.  (1) is more commonly annoying; (2) makes this a (for my grandmother) browser-downing bug.

(1) if I'm in tab A and the form-generated page in tab B decides to reload, firefox grabs the focus away from tab A and forces me to deal with the reloading page.  Firefox 1.5 at least switches the tab so that I know *which* tab I'm dealing with, but that's only barely progress.  Extra-annoying is if I'm typing in tab A and happen to hit the space bar or enter key when the POSTDATA dialog for tab B pops up -- then I've OK'd the resending of the data even before I knew there was a decision to be made.

(2) a misbehaving page can practically take down the browser.  All one needs to write is a page that has form data and has javascript to immediately reload the page.  Because the dialog is modal, I can't kill the tab or switch the URL -- I can only hit 'ok' or 'cancel'.  But in either case, the page reloads again.  I actually see this behaviour sometimes in the webgame www.travian.com but haven't been able to reproduce it from there.  It is *possible* to stop the loop, but only by feverously hitting escape and ctrl-w until finally the ctrl-w gets in before the javascript reloads.

To deal with both problems, make the dialog non-modal.  Then it only needs to pop up when I'm on the relevant tab (though there might need to be some way of communicating that there's an event to handle in a background tab), and I have the extra option of nuking the tab, changing the URL, or hitting 'back' again.

Reproducible: Always</Description></bugID>